Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class PathConvert

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.PathConvert

public class PathConvert
extends Task

Converts path and classpath information to a specific target OS format. The resulting formatted path is placed into the specified property.

Since:
  Ant 1.4

Nested Class Summary
`class` | `PathConvert.MapEntry` Helper class, holds the nested <map> values.
`static class` | `PathConvert.TargetOs` an enumeration of supported targets: windows", "unix", "netware", and "os/2".

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`PathConvert()` constructor

Method Summary
`void` | `addMapper(Mapper mapper)` Add a mapper to convert the file names.
`PathConvert.MapEntry` | `createMap()` Create a nested MAP element
`Path` | `createPath()` Create a nested PATH element
`void` | `execute()` Do the execution.
`boolean` | `isReference()` Has the refid attribute of this element been set?
`void` | `setDirSep(java.lang.String sep)` Set the default directory separator string; defaults to current JVM `File.separator`
`void` | `setPathSep(java.lang.String sep)` Set the default path separator string; defaults to current JVM `File.pathSeparator`
`void` | `setProperty(java.lang.String p)` The property into which the converted path will be placed.
`void` | `setRefid(Reference r)` Adds a reference to a Path, FileSet, DirSet, or FileList defined elsewhere.
`void` | `setSetonempty(boolean setonempty)` Set setonempty If false, don't set the new property if the result is the empty string.
`void` | `setTargetos(PathConvert.TargetOs target)` Set targetos to a platform to one of "windows", "unix", "netware", or "os/2"; required unless unless pathsep and/or dirsep are specified.
`void` | `setTargetos(java.lang.String target)` Deprecated. use the method taking a TargetOs argument instead

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathConvert

    public PathConvert()

  constructor

Method Detail

### createPath

    public Path createPath()

  Create a nested PATH element

### createMap

    public PathConvert.MapEntry createMap()

  Create a nested MAP element

  Returns:
    a Map to configure

### setTargetos

    public void setTargetos(java.lang.String target)

  Deprecated. use the method taking a TargetOs argument instead

  Set targetos to a platform to one of "windows", "unix", "netware", or "os/2". Required unless unless pathsep and/or dirsep are specified.

  See Also:
    `setTargetos(PathConvert.TargetOs)`

### setTargetos

    public void setTargetos(PathConvert.TargetOs target)

  Set targetos to a platform to one of "windows", "unix", "netware", or "os/2"; required unless unless pathsep and/or dirsep are specified.

  Since:
    Ant 1.5

### setSetonempty

    public void setSetonempty(boolean setonempty)

  Set setonempty If false, don't set the new property if the result is the empty string.

  Parameters:
    `setonempty` - true or false
  Since:
    Ant 1.5

### setProperty

    public void setProperty(java.lang.String p)

  The property into which the converted path will be placed.

### setRefid

    public void setRefid(Reference r)

  Adds a reference to a Path, FileSet, DirSet, or FileList defined elsewhere.

### setPathSep

    public void setPathSep(java.lang.String sep)

  Set the default path separator string; defaults to current JVM `File.pathSeparator`

  Parameters:
    `sep` - path separator string

### setDirSep

    public void setDirSep(java.lang.String sep)

  Set the default directory separator string; defaults to current JVM `File.separator`

  Parameters:
    `sep` - directory separator string

### isReference

    public boolean isReference()

  Has the refid attribute of this element been set?

  Returns:
    true if refid is valid

### execute

    public void execute()
                 throws BuildException

  Do the execution.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something is invalid

### addMapper

    public void addMapper(Mapper mapper)

  Add a mapper to convert the file names.

  Parameters:
    `mapper` - a `Mapper` value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.